Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1568562 - deprecate the cpuid command
Summary: deprecate the cpuid command
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: Red_Hat_Enterprise_Linux-Release_Notes-7-en-US
Version: 7.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Lenka Špačková
QA Contact:
Marie Hornickova
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-17 18:49 UTC by David Arcari
Modified: 2019-04-28 06:35 UTC (History)
7 users (show)

Fixed In Version: kernel-3.10.0-871.el7
Doc Type: Deprecated Functionality
Doc Text:
"cpuid" has been deprecated The "cpuid" command has been deprecated. A future major release of Red Hat Enterprise Linux will no longer support using "cpuid" to dump the information about CPUID instruction for each CPU. To obtain similar information, use the "lscpu" command instead.
Clone Of:
Environment:
Last Closed: 2019-04-28 06:35:56 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description David Arcari 2018-04-17 18:49:36 UTC
Description of problem:

It appears that the maintainer for cpuid has abandoned support for the command. The last update was February 2017.

cpuid shipped in RHEL6.9, as well as RHEL-7.3, 7.4 and 7.5 and was planned for RHEL8.  However, given the lack of upstream support, it is important to inform our customers that the command will not be available in future releases.

Comment 2 David Arcari 2018-04-18 18:28:51 UTC
Moving to ON_QA.  This is a documentation only effort.


Note You need to log in before you can comment on or make changes to this bug.